Package com.avaya.clientservices.common

## Enum SignalingEnvironment

- java.lang.Object
- - java.lang.Enum<SignalingEnvironment>
  - - com.avaya.clientservices.common.SignalingEnvironment

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SignalingEnvironment>`

      public enum SignalingEnvironment
      extends java.lang.Enum<SignalingEnvironment>

  The SignalingEnvironment is a member of an `ConnectionPolicy` and defines how the connections to the server(s) are established and recovered after failures. Note that the use of the OPENSIPS SignalingEnvironment in a ConnectionPolicy with more than one SignalingServer per RegistrationGroup, or with a SignalingServer that has the MANUAL failback policy is not currently supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AVAYA` | The Avaya signaling environment, suitable for Aura and IPO servers (default).
    `OPENSIPS` | Suitable for OpenSIPS servers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SignalingEnvironment` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SignalingEnvironment[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVAYA

          public static final SignalingEnvironment AVAYA

      The Avaya signaling environment, suitable for Aura and IPO servers (default).

    - #### OPENSIPS

          public static final SignalingEnvironment OPENSIPS

      Suitable for OpenSIPS servers.

  - ### Method Detail

    - #### values

          public static SignalingEnvironment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignalingEnvironment c : SignalingEnvironment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignalingEnvironment valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null